;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian semantic package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The semantic package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.

;; For byte-compiling other CEDETs
(add-to-list 'load-path "/usr/share/emacs/site-lisp/semantic/")
(add-to-list 'load-path "/usr/share/emacs/site-lisp/semantic/bovine/")
(add-to-list 'load-path "/usr/share/emacs/site-lisp/semantic/wisent/")

;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
                           (symbol-name flavor)
                           "/site-lisp/semantic")))
  (when (file-directory-p package-dir)
        (setq load-path (cons package-dir load-path))))

(require 'semantic-load)
(require 'semantic-grammar)
(require 'semantic-ede-grammar)
